View Issue Details

IDProjectCategoryView StatusLast Update
0001680XdebugFeature/Change requestpublic2019-08-10 12:24
ReporterkrakjoeAssigned Toderick 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version3.0.0devFixed in Version3.0.0dev 
Summary0001680: Update var dumping routines to include relevant information for interned strings and immutable arrays
DescriptionWhen a string is interned or an array is immutable, the info displayed by xdebug may be confusing:

https://stackoverflow.com/questions/56833897/why-increasing-refcount-of-zval-not-working

Propose that interned strings show "interned" in place of "refcount=%d", and immutable arrays show "immutable" in place of "refcount=%d".
TagsNo tags attached.
Operating System
PHP Version7.3.5-7.3.9

Activities

derick

2019-07-19 13:57

administrator   ~0005077

PR is https://github.com/xdebug/xdebug/pull/486

derick

2019-08-10 12:24

administrator   ~0005115

Merged for Xdebug 3.0. Thanks Joe!

Issue History

Date Modified Username Field Change
2019-07-10 11:13 krakjoe New Issue
2019-07-11 19:34 derick Status new => acknowledged
2019-07-11 19:34 derick Target Version => 3.0.0dev
2019-07-19 13:57 derick Note Added: 0005077
2019-08-10 12:24 derick Assigned To => derick
2019-08-10 12:24 derick Status acknowledged => closed
2019-08-10 12:24 derick Resolution open => fixed
2019-08-10 12:24 derick Fixed in Version => 3.0.0dev
2019-08-10 12:24 derick Note Added: 0005115